Debian Bug report logs - #660538
python-cloudservers: breaks with the python2.7-provided argparse

version graph

Package: python-cloudservers; Maintainer for python-cloudservers is Soren Hansen <soren@ubuntu.com>; Source for python-cloudservers is src:python-cloudservers.

Reported by: daigo@debian.org

Date: Tue, 21 Jun 2011 14:45:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version python-cloudservers/1.1-1

Fixed in version python-cloudservers/1.1-1.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Tue, 21 Jun 2011 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daigo@debian.org:
New Bug report received and forwarded. Copy sent to Soren Hansen <soren@ubuntu.com>. (Tue, 21 Jun 2011 14:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <daigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-cloudservers: Should depend on python-simplejson
Date: Tue, 21 Jun 2011 23:41:10 +0900
Package: python-cloudservers
Version: 1.1-1
Severity: important

% /usr/bin/cloudservers help image-create
Traceback (most recent call last):
  File "/usr/bin/cloudservers", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2671,
in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 654, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 552, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: simplejson

The package seems to need python-simplejson.

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (105,
'testing'), (90, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-cloudservers depends on:
ii  python                  2.6.6-3+squeeze6 interactive high-level object-orie
ii  python-argparse         1.1-1            optparse-inspired command-line par
ii  python-httplib2         0.6.0-4          comprehensive HTTP client library
ii  python-pkg-resources    0.6.14-4         Package Discovery and Resource Acc
ii  python-prettytable      0.5-1            library to represent tabular data
ii  python-support          1.0.10           automated rebuilding support for P

python-cloudservers recommends no packages.

python-cloudservers suggests no packages.

-- no debconf information

-- 
Daigo Moriwaki   <daigo at debian dot org>




Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Thu, 29 Dec 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Thu, 29 Dec 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 631212@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 631212@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Missing dependencies are RC
Date: Fri, 30 Dec 2011 01:20:38 +0200
severity 631212 serious
thanks

The solution seems to be changing the "python (>= 2.6) | python-simplejson"
dependency to an unconditional dependency on python-simplejson.

Note that the buggy package is also in stable, and the bug should also 
be fixed there.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Severity set to 'serious' from 'important' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Thu, 29 Dec 2011 23:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Fri, 30 Dec 2011 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Fri, 30 Dec 2011 00:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 631212@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 631212@bugs.debian.org
Cc: Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#631212: Missing dependencies are RC
Date: Fri, 30 Dec 2011 01:45:54 +0100
* Adrian Bunk <bunk@stusta.de>, 2011-12-30, 01:20:
>The solution seems to be changing the "python (>= 2.6) | 
>python-simplejson" dependency to an unconditional dependency on 
>python-simplejson.

There's no need to tighten the dependency. A no-change rebuild against 
up-to-date python removes simplejson from requires.txt and thus fixes 
the problem.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Fri, 30 Dec 2011 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Fri, 30 Dec 2011 01:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 631212@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 631212@bugs.debian.org
Subject: Re: Bug#631212: Missing dependencies are RC
Date: Fri, 30 Dec 2011 03:15:22 +0200
On Fri, Dec 30, 2011 at 01:45:54AM +0100, Jakub Wilk wrote:
> * Adrian Bunk <bunk@stusta.de>, 2011-12-30, 01:20:
> >The solution seems to be changing the "python (>= 2.6) |
> >python-simplejson" dependency to an unconditional dependency on
> >python-simplejson.
> 
> There's no need to tighten the dependency. A no-change rebuild
> against up-to-date python removes simplejson from requires.txt and
> thus fixes the problem.

OK, so two different fixes are needed for stable and unstable:
- stable needs an update with the unconditional dependency on 
  python-simplejson [1]
- unstable needs to bump XS-Python-Version to >= 2.6 or build depend
  on python-all (>= 2.6.6-14) [2]

Next problem in unstable with the now default 2.7:
  pkg_resources.DistributionNotFound: argparse
(argparse moved into python2.7)

> Jakub Wilk

cu
Adrian

[1] that's the lowest-risk fix
[2] I'm not sure which of these would be correct

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Information forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, daigo@debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Sun, 19 Feb 2012 15:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Chenet <chaica@ohmytux.com>:
Extra info received and forwarded to list. Copy sent to jwilk@debian.org, daigo@debian.org, Soren Hansen <soren@ubuntu.com>. (Sun, 19 Feb 2012 15:33:09 GMT) Full text and rfc822 format available.

Message #27 received at 631212@bugs.debian.org (full text, mbox):

From: Carl Chenet <chaica@ohmytux.com>
To: Debian Bug Tracking System <631212@bugs.debian.org>
Subject: Re: Bug#631212: Missing dependencies are RC
Date: Sun, 19 Feb 2012 16:29:53 +0100
[Message part 1 (text/plain, inline)]
Package: python-cloudservers
Followup-For: Bug #631212

Dear Maintainer,

Here is a debdiff for a NMU of this package. It solves the issue with simplejson in python2.6 and solves the issue with argparse in python 2.7. I can not upload it myself, please feel free to use it as it is or to modify it to solve this RC bug.

Regards,
Carl Chenet

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[631212.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#631212; Package python-cloudservers. (Sun, 19 Feb 2012 18:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Dandrimont <nicolas.dandrimont@crans.org>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Sun, 19 Feb 2012 18:27:14 GMT) Full text and rfc822 format available.

Message #32 received at 631212@bugs.debian.org (full text, mbox):

From: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
To: 631212@bugs.debian.org
Cc: Carl Chenet <chaica@ohmytux.com>, julia.anaya@gmail.com, control@bugs.debian.org
Subject: Patch not complete, python-cloudservers is broken in squeeze in a different way
Date: Sun, 19 Feb 2012 19:25:39 +0100
clone 631212 -1
retitle -1 python-cloudservers: breaks with the python2.7-provided argparse
# The patch provided by Carl only fixes the issue in wheezy/sid
tags -1 wheezy sid patch
tags 631212 squeeze
thanks

Hello Carl, dear maintainer,

Unfortunately python-cloudservers is broken in squeeze and in wheezy/sid
in two different ways:

 - In squeeze, an unconditional dependency on python-simplejson is
   needed for the python2.5 module to work.

 - In wheezy/sid, the simplejson dependency is useless (as it is
   provided by python2.6 and 2.7).

   But cloudservers now breaks with the python2.7-provided argparse
   module, which doesn't register itself in the pkg-resources
   repository.

I think your patch fixes the second issue, but of course it doesn't fix
the package in squeeze which should be fixed separately, hence the bug
cloning.

Furthermore, I think there could be a cleaner option to remove the
"argparse" requirement in pkg-resources, and I think this was done in
the past for simplejson, when it became provided by python2.6.

Cheers,
-- 
Nicolas Dandrimont




Bug 631212 cloned as bug 660538. Request was from Nicolas Dandrimont <nicolas.dandrimont@crans.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 18:27:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'python-cloudservers: breaks with the python2.7-provided argparse' from 'python-cloudservers: Should depend on python-simplejson' Request was from Nicolas Dandrimont <nicolas.dandrimont@crans.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 18:27:17 GMT) Full text and rfc822 format available.

Added tag(s) sid, wheezy, and patch. Request was from Nicolas Dandrimont <nicolas.dandrimont@crans.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 18:27:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#660538; Package python-cloudservers. (Sat, 14 Apr 2012 10:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julia <julia.anaya@gmail.com>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Sat, 14 Apr 2012 10:51:19 GMT) Full text and rfc822 format available.

Message #43 received at 660538@bugs.debian.org (full text, mbox):

From: Julia <julia.anaya@gmail.com>
To: 660538@bugs.debian.org
Cc: nicolas.dandrimont@crans.org, control@bugs.debian.org
Subject: Patch to fix #660538 in testing
Date: Sat, 14 Apr 2012 12:50:07 +0200
[Message part 1 (text/plain, inline)]
tags 660538 + patch
thanks

Find attached the control file + more-fallout to don't break debuild clean.
[control (text/plain, attachment)]
[more-fallout (text/plain, attachment)]

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 05:33:04 GMT) Full text and rfc822 format available.

Notification sent to daigo@debian.org:
Bug acknowledged by developer. (Sun, 29 Apr 2012 05:33:04 GMT) Full text and rfc822 format available.

Message #48 received at 660538-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 660538-close@bugs.debian.org
Subject: Bug#660538: fixed in python-cloudservers 1.1-1.1
Date: Sun, 29 Apr 2012 05:32:23 +0000
Source: python-cloudservers
Source-Version: 1.1-1.1

We believe that the bug you reported is fixed in the latest version of
python-cloudservers, which is due to be installed in the Debian FTP archive:

python-cloudservers_1.1-1.1.debian.tar.gz
  to main/p/python-cloudservers/python-cloudservers_1.1-1.1.debian.tar.gz
python-cloudservers_1.1-1.1.dsc
  to main/p/python-cloudservers/python-cloudservers_1.1-1.1.dsc
python-cloudservers_1.1-1.1_all.deb
  to main/p/python-cloudservers/python-cloudservers_1.1-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-cloudservers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 05:18:28 +0000
Source: python-cloudservers
Binary: python-cloudservers
Architecture: source all
Version: 1.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Soren Hansen <soren@ubuntu.com>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-cloudservers - client library for Rackspace's Cloud Servers API
Closes: 660538
Changes: 
 python-cloudservers (1.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Switched python_cloudservers.egg-info/PKG-INFO Metadata-Version: from 1.0
   to 1.1, and fixed debian/control python {build-}depends (Closes: #660538).
Checksums-Sha1: 
 834ddb5c3551c4bdc683740c366a961761b9fec5 1292 python-cloudservers_1.1-1.1.dsc
 e06c25720deea0410ce4858b72fc597ae5761806 5552 python-cloudservers_1.1-1.1.debian.tar.gz
 d8c7eba8cf978968b7c1efc2f55a953bc15486d6 19228 python-cloudservers_1.1-1.1_all.deb
Checksums-Sha256: 
 2550068d485dc8b4f12ed0d2930967ec467fc78f804fda3d2b9058c1426f3e9e 1292 python-cloudservers_1.1-1.1.dsc
 6a51671268d9c174caaa34cdf6852d95e296c5cc61ffeace42c805a615bfbf12 5552 python-cloudservers_1.1-1.1.debian.tar.gz
 81ffe4f34a50dc6bd5f8e358526b6618f800967d1b0a4f0dc07dc4c61ef9a477 19228 python-cloudservers_1.1-1.1_all.deb
Files: 
 844c070659651226fb9dfc6055ced4f9 1292 python optional python-cloudservers_1.1-1.1.dsc
 fdc462953a1069230961d1ec4af6fae0 5552 python optional python-cloudservers_1.1-1.1.debian.tar.gz
 93283a7aaa80c266e874c9d0b9fd0054 19228 python optional python-cloudservers_1.1-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+c0EEACgkQl4M9yZjvmkmgkwCfXVzpxwcPCymovJaU8KZR256S
hvUAoNRwb7nOZX1hcMXrev3KU6GJwCCC
=l0IZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:45:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:01:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.